using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using System.IO;

namespace AspNetUploader
{
	/// <summary>
	/// Summary description for upload.
	/// </summary>
	public class upload : System.Web.UI.Page
	{
		protected System.Web.UI.HtmlControls.HtmlInputFile UserFile;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			try
			{
				string strVoiceServerFolder=Request.Params.Get("VoiceServerFolder");
				if(strVoiceServerFolder==null) 
				{
					Response.Write("Cannot find \"VoiceServerFolder\" parameter!");
					return;
				}

				strVoiceServerFolder=strVoiceServerFolder.Replace("/","\\");
				strVoiceServerFolder=strVoiceServerFolder.Substring(1,strVoiceServerFolder.Length-2);


				strVoiceServerFolder=Server.MapPath(strVoiceServerFolder);
				if(!Directory.Exists(strVoiceServerFolder)) Directory.CreateDirectory(strVoiceServerFolder);

				string strUserDir=Request.Params.Get("UserDir");
				if(strUserDir==null) 
				{
					Response.Write("Cannot find \"UserDir\" parameter!");
					return;
				}

				strUserDir=strVoiceServerFolder+"\\"+strUserDir;
				if(!Directory.Exists(strUserDir)) Directory.CreateDirectory(strUserDir);				

				string strAction=Request.Params.Get("Action");
				if(strAction==null) 
				{
					Response.Write("Cannot find \"Action\" parameter!");
					return;
				}

				if(UserFile.PostedFile.ContentLength==0)
				{
					Response.Write("Cannot find posted file data!");
					return;
				}

				string strFileName=strUserDir+"\\"+UserFile.PostedFile.FileName;

				strAction.ToLower();	
				if(strAction.ToLower()=="create")
				{
//					if(File.Exists(strFileName)) 
//					{
//						Response.Write("Cannot create file!File with this name already exists");
//						return;
//					}
					UserFile.PostedFile.SaveAs(strFileName);
				}
				if(strAction.ToLower()=="append")
				{
					if(!File.Exists(strFileName))
					{
						Response.Write("Cannot append to file!File with this name doesn't exists");
						return;
					}
					FileStream writer=File.OpenWrite(strFileName);
					writer.Seek(0,SeekOrigin.End);
					int i;
					for(i=0;i<UserFile.PostedFile.ContentLength;i++)
					{
						writer.WriteByte((byte)UserFile.PostedFile.InputStream.ReadByte());
					}
					writer.Close();
				}

				Response.Write("ACCEPTED");
			}
			catch(Exception ex)
			{
				Response.Write(ex.Message);
			}

		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
