<?php
// if exist the "config.php" exit the setup:
clearstatcache();
if(is_file('config.php'))
{
    header('HTTP/1.0 404 Not Found');
    exit;
}

$bolDefUloadDir = false;

// get own environment:
$strRequestURL  = strtolower(substr($_SERVER['SERVER_PROTOCOL'], 0, strpos($_SERVER['SERVER_PROTOCOL'], '/')));
$strRequestURL .= '://'.$_SERVER['HTTP_HOST'];

// define own env. constants
//   - path,uri,url:
define('PATH_HOME', 	substr($_SERVER["PATH_TRANSLATED"], 0, strrpos($_SERVER["PATH_TRANSLATED"], '/')+1));
define('URI_HOME',		substr($_SERVER["PHP_SELF"], 0, strrpos($_SERVER["PHP_SELF"], '/')+1));
define('URL_HOME',		$strRequestURL.URI_HOME);
define('PATH_DEFULOAD', PATH_HOME.'voicefiles/');

// exit if php with enable safe mode running:
if( ini_get('safe_mode') && (!@is_dir('voicefiles') || !$bolDefUloadDir = @touch('voicefiles/check')))
{
    ob_start();
    phpinfo();
    preg_match_all('/>([^<]+php\.ini)/', ob_get_contents(), $arrMatches);
    ob_end_clean();
    exit('Please set in your php\'s ini file ("'.$arrMatches[1][1].'") the parameter "safe_mode" on "off" during the installation process
    <br><b>or</b> create the subfolder "'.PATH_HOME.'voicefiles/", executable and writable for any users (0777)!');
}




//	- permissions @ working path:
if(@touch(PATH_HOME.'config.php') && @unlink(PATH_HOME.'config.php'))
{
	define('WRITABLE',	true);
}
else
{
	define('WRITABLE',	false);
}



$arrApplScripts = array();

// list of apllication files:
$arrApplScripts[] = 'receiver.php';
$arrApplScripts[] = 'sender.php';
$arrApplScripts[] = 'RPAppletMp3.jar';
$arrApplScripts[] = 'RPAppletMp3.cab';
$arrApplScripts[] = 'sendmail.php';
$arrApplScripts[] = 'jaudioMp3Win.tar';
$arrApplScripts[] = 'jaudioMp3Mac.tar';
#$arrApplScripts[] = 'xxxx';

define(NL,  "\n");

// look up for needed scripts:
for($i=0; $i<count($arrApplScripts); $i++)
{
    continue;clearstatcache();
    if(is_file(PATH_HOME.$arrApplScripts[$i])) continue;

    // Missing file -> break up & error msg
    die('Can`t get runing, missing application script: "'.PATH_HOME.$arrApplScripts[$i].'"!');
}

if(count($_POST)>3)
{
    if(!WRITABLE) die('Can`t write the configuration file! Please set up the correct permissions:<br>
                       (chmod -R 777 '.PATH_HOME.' or chown ...)');

    if(!$hdlFile = fopen(PATH_HOME.'config.php', 'w'))die('..');

    fputs($hdlFile, '<?PHP'.NL.'/***** CONFIGURATION ******/'.NL);
    fputs($hdlFile, 'if(!defined(\'incall\'))header(\'HTTP/1.0 404 Not Found\');'.NL);

    foreach($_POST AS $strVar=>$varValue)
    {
        if($strVar == 'create') continue;

        fputs($hdlFile, '$'.$strVar. ' = \''.str_replace("'", '"', stripslashes($varValue)).'\';'.NL);
    }

    fputs($hdlFile, '?>');
    fclose($hdlFile);

    exit('<html><head><meta http-equiv="refresh" content="2; URL='.URI_HOME.'sender.php"></head><body><div align="center">Configuration file successfull created!<br><br>
    (...please wait, auto forward to the send page.)</div></body></html>');

}

?>
<html>
<head>
	<title>Setup conaito VoiceMail</title>
<style>

TD,BODY,.finput,.ftext
{
    font-family:verdana,arial,helvetica;
    font-size:12px;
}
.small
{
    font-size:10px;
}
.finput
{
    width:300px;
}

.ftext
{
    width:555px;
}
</style>
</head>
<body>
<form action="<?php print($_SERVER['PHP_SELF']);?>" method="post">
<table cellspacing="1" cellpadding="20" align="center" bgcolor="gray">
<tr>
<td bgcolor="white"><table cellpadding="3" border="0">
    <tr>
		<td width="250"></td>
		<td width="300"></td>
	</tr>
	<tr>
		<th align="center" colspan="2">conaito VoiceMail Setup</th>
	</tr>
	<tr>
		<td colspan="2" width="550">
		<br><b>Note:</b><br>
		After the successfull setup the configuration file ("config.php") is created. To get run the setup for
		another time you must delete the configuration file first.
		</p><br><br>
		</th>
	</tr>
    <tr>
		<td>Split upload block size (bytes):</td>
		<td><input size="50" type="text" class="finput"  class="finput"  name="blocksize" value="1040"></td>
	</tr>
	    <tr>
		<td>Max record time (sec):</td>
		<td><input size="50" type="text" class="finput"  name="max_rectime" onChange="if(this.value > 20){this.value=20;alert('max 20 seconds at testversion!');}" value="20"></td>
	</tr>
	<tr>
		<td>Applet & Remote classes URI:</td>
		<td><input size="50" type="text" class="finput"  name="applet_uri" value="<?php print(URI_HOME);?>"></td>
	</tr>
	<tr>
		<td>HTTP-POST target URL:</td>
		<td><input size="50" type="text" class="finput"  name="post_url" value="<?php print(URL_HOME);?>receiver.php"></td>
	</tr>
    <tr>
		<td>Upload [basis path]:</td>
		<td><input size="50" type="text" class="finput"  name="upload_path" value="<?php if(WRITABLE&&!$bolDefUloadDir):print(PATH_HOME.'UPLOAD/');elseif($bolDefUloadDir):print(PATH_DEFULOAD);else:PRINT('/tmp/voiceserver/');endif?>"></td>
	</tr>
	<tr>
		<td>Download [basis URL]:</td>
		<td><input size="50" type="text" class="finput"  name="download_path" value="<?php print(URL_HOME);?>"></td>
	</tr>
	<tr>
		<td>Sendmail [basis URL]:</td>
		<td><input size="50" type="text" class="finput"  name="sendmail_url" value="<?php print(URL_HOME);?>sendmail.php"></td>
	</tr>
	<tr>
		<td>Email sender name:</td>
		<td><input size="50" type="text" class="finput"  name="emailfrom_name" value=""></td>
	</tr>
	<tr>
		<td>Email sender address:</td>
		<td><input size="50" type="text" class="finput"  name="emailfrom_address" value=""></td>
	</tr>
	<tr>
		<td colspan="2"><br><br>Email content:</td>
	</tr>
	<tr>
	   <td colspan="2"><textarea class="ftext" rows="5" cols="60" name="email_body">Put here your Email contents.

Use {link} as place holder for automatic download mp3 file link integration.

Voice Mail powered by conaito Technologies - www.conaito.com

	   </textarea><br><br></td>
	</tr>
	<tr>
		<td colspan="2" align="center"><input size="50" type="submit" name="create" value="send and create configuration file"></td>
	</tr>
	<tr>
		<td colspan="2" align="center" class="small"><br><br>Voice Mail powered by <a href="http://www.conaito.com" target="_blank">conaito Technologies</a> - www.conaito.com</td>
	</tr>
</table></td>
</tr>
</table>
</form>
</body>
</html>