Imports System 
Imports System.Collections 
Imports System.ComponentModel 
Imports System.Data 
Imports System.Drawing 
Imports System.Web 
Imports System.Web.SessionState 
Imports System.Web.UI 
Imports System.Web.UI.WebControls 
Imports System.Web.UI.HtmlControls 
Imports System.IO 
Namespace AspNetUploader 

 Public Class upload 
 Inherits System.Web.UI.Page 
   Protected UserFile As System.Web.UI.HtmlControls.HtmlInputFile 

   Private Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) 
     Try 
       Dim strVoiceServerFolder As String = Request.Params.Get("VoiceServerFolder") 
       If strVoiceServerFolder Is Nothing Then 
         Response.Write("Cannot find ""VoiceServerFolder"" parameter!") 
         Return 
       End If 
       strVoiceServerFolder = strVoiceServerFolder.Replace("/", "\") 
       strVoiceServerFolder = strVoiceServerFolder.Substring(1, strVoiceServerFolder.Length - 2) 
       strVoiceServerFolder = Server.MapPath(strVoiceServerFolder) 
       If Not Directory.Exists(strVoiceServerFolder) Then 
         Directory.CreateDirectory(strVoiceServerFolder) 
       End If 
       Dim strUserDir As String = Request.Params.Get("UserDir") 
       If strUserDir Is Nothing Then 
         Response.Write("Cannot find ""UserDir"" parameter!") 
         Return 
       End If 
       strUserDir = strVoiceServerFolder + "\" + strUserDir 
       If Not Directory.Exists(strUserDir) Then 
         Directory.CreateDirectory(strUserDir) 
       End If 
       Dim strAction As String = Request.Params.Get("Action") 
       If strAction Is Nothing Then 
         Response.Write("Cannot find ""Action"" parameter!") 
         Return 
       End If 
       If UserFile.PostedFile.ContentLength = 0 Then 
         Response.Write("Cannot find posted file data!") 
         Return 
       End If 
       Dim strFileName As String = strUserDir + "\" + UserFile.PostedFile.FileName 
       strAction.ToLower 
       If strAction.ToLower = "create" Then 
         UserFile.PostedFile.SaveAs(strFileName) 
       End If 
       If strAction.ToLower = "append" Then 
         If Not File.Exists(strFileName) Then 
           Response.Write("Cannot append to file!File with this name doesn't exists") 
           Return 
         End If 
         Dim writer As FileStream = File.OpenWrite(strFileName) 
         writer.Seek(0, SeekOrigin.End) 
         Dim i As Integer 
         i = 0 
         i = 0 
         While i < UserFile.PostedFile.ContentLength 
           writer.WriteByte(CType(UserFile.PostedFile.InputStream.ReadByte, Byte)) 
           System.Math.Min(System.Threading.Interlocked.Increment(i),i-1) 
         End While 
         writer.Close 
       End If 
       Response.Write("ACCEPTED") 
     Catch ex As Exception 
       Response.Write(ex.Message) 
     End Try 
   End Sub 

   Protected Overloads Overrides Sub OnInit(ByVal e As EventArgs) 
     InitializeComponent 
     MyBase.OnInit(e) 
   End Sub 

   Private Sub InitializeComponent() 
     AddHandler Me.Load, AddressOf Me.Page_Load 
   End Sub 
 End Class 
End Namespace