<%@LANGUAGE="VBSCRIPT" CODEPAGE="1252"%>
<!--#include file="inc_confic.asp" -->
<%
'Declare global variables
Dim objCDOSYSMail	'Holds the CDOSYS mail object
Dim objCDOMail		'Holds the CDONTS mail object
Dim objJMail		'Holds the Jmail object
Dim objAspEmail		'Holds the Persits AspEmail email object
Dim objAspMail		'Holds the Server Objects AspMail email object

'Function to create mail object
Public Function createMailObject(ByVal strMailComponent)

	'Now the code selects the email component to use set from your configuration in the admin area
	Select Case strMailComponent
	
		'CDOSYS mail component
		Case "CDOSYS"
		
			'Dimension variables
			Dim objCDOSYSCon
			Dim intSendUsing
			
			'Calculate the port we are sendusing (1=localhost 2=network)
			If LCase(strMailServer) = "localhost" OR strMailServer = "http://127.0.0.1" OR strMailServer = "127.0.0.1" Then
				intSendUsing = 1
			Else
				intSendUsing = 2
			End If
			
			'Create the e-mail server object
			Set objCDOSYSMail = Server.CreateObject("CDO.Message")
		    	Set objCDOSYSCon = Server.CreateObject ("CDO.Configuration")
		    	
		    	'Set and update fields properties
		    	With objCDOSYSCon
		    	 	
		    		'Use SMTP Server authentication if required
		    		If strMailServerUser <> "" AND strMailServerPass <> "" Then 
			    		' Specify the authentication mechanism to basic (clear-text) authentication cdoBasic = 1
			        	.Fields("http://schemas.microsoft.com/cdo/configuration/smtpauthenticate") = 1
			        	
			        	'SMTP Server username
			        	.Fields("http://schemas.microsoft.com/cdo/configuration/sendusername") = strMailServerUser
			        	
			        	'SMTP Server password
			        	.Fields("http://schemas.microsoft.com/cdo/configuration/sendpassword") = strMailServerPass
			        End If
		        	
		        	'Out going SMTP server
		        	.Fields("http://schemas.microsoft.com/cdo/configuration/smtpserver") = strMailServer
		        	
		        	'SMTP port
		        	.Fields("http://schemas.microsoft.com/cdo/configuration/smtpserverport")  = 25
		        	
		        	'CDO Port (1=localhost 2=network)
		        	.Fields("http://schemas.microsoft.com/cdo/configuration/sendusing") = intSendUsing
		        	
		        	'Set CDO pickup directory if using localhost (CDO Port 1)
		        	If intSendUsing = 1 Then
		        		'CDO pickup directory (used for localhost service)
		        		.Fields("http://schemas.microsoft.com/cdo/configuration/smtpserverpickupdirectory") = "c:\inetpub\mailroot\pickup" 
		        	End If
		        	
		        	'Timeout
		        	.Fields("http://schemas.microsoft.com/cdo/configuration/smtpconnectiontimeout") = 60
	        		
	        		'Update CDO configuration
	        		.Fields.Update 
	        	End With
			
			'Update the CDOSYS Configuration
			Set objCDOSYSMail.Configuration = objCDOSYSCon

		'CDONTS mail component
		Case "CDONTS"
		
			'With CDONTS the object has to be created for each email 
		
		'JMail component
		Case "Jmail"
		
			'Create the e-mail server object
			Set objJMail = Server.CreateObject("JMail.SMTPMail")
			
		'JMail 4 component
		Case "Jmail4"
		
			'Create the e-mail server object
			Set objJMail = Server.CreateObject("Jmail.Message")
		
		'AspEmail component
		Case "AspEmail"
		
			'Create the e-mail server object
			Set objAspEmail = Server.CreateObject("Persits.MailSender")
		
		'AspMail component
		Case "AspMail"
		
			'Create the e-mail server object
		   	Set objAspMail = Server.CreateObject("SMTPsvg.Mailer")

	End Select
End Function

'Function to drop mail object
Public Function dropMailObject(ByVal strMailComponent)

	'Select which email component to use
	Select Case strMailComponent
	
		'CDOSYS mail component
		Case "CDOSYS"
		  	Set objCDOSYSMail = Nothing
		
		'CDONTS mail component
		Case "CDONTS"
			'With CDONTS the object has to be created and dropped for each email 
			
		'JMail component
		Case "Jmail"
			Set objJMail = Nothing
			
		'JMail 4 component
		Case "Jmail4"
			Set objJMail = Nothing
		
		'AspEmail component
		Case "AspEmail"
			Set objAspEmail = Nothing
		
		'AspMail component
		Case "AspMail"
			Set objAspMail = Nothing
	End Select
End Function

'Function to send an e-mail
Public Function SendMail(ByVal strToName, ByVal strEmailAddress, ByVal strMailComponent, ByVal strMailFormat)

	Dim strAppendToEmail

	'Select which email component to use
	Select Case strMailComponent
	
		'CDOSYS mail component
		Case "CDOSYS"	
		
			With objCDOSYSMail	
				'Who the e-mail is from
				.From = """" & strEmailfrom_name & """ <" & strEmailfrom_address & ">"""
							
				'Who the e-mail is sent to
				.To = """" & strToName & """ <" & strEmailAddress & ">"""
									
				'The subject of the e-mail
				.Subject = strSubject
							
				'Set the e-mail body format (HTMLBody=HTML TextBody=Plain)
				If strMailFormat = "HTML" Then
				 	.HTMLBody = strEmailBody & strAppendToEmail
				Else
					.TextBody = strEmailBody & strAppendToEmail
				End If
							
				'Send the e-mail
				If NOT strMailServer = "" Then .Send
			End with				
		
		'CDONTS mail component
		Case "CDONTS"
		
			'Create the e-mail server object (this has to be set with each email for CDONTS)
			Set objCDOMail = Server.CreateObject("CDONTS.NewMail")
		
			With objCDOMail
				'Who the e-mail is from
				.From = """" & strEmailfrom_name & """ <" & strEmailfrom_address & ">"""
							
				'Who the e-mail is sent to
				.To = """" & strToName & """ <" & strEmailAddress & ">"""
									
				'The subject of the e-mail
				.Subject = strSubject
							
				'The main body of the e-amil
				.Body = strEmailBody & strAppendToEmail
							
				'Set the e-mail body format (0=HTML 1=Text)
				If strMailFormat = "HTML" Then
					.BodyFormat = 0
				Else
					.BodyFormat = 1
				End If
				
				'Set the mail format (0=MIME 1=Text)
				.MailFormat = 0
							
				'Importance of the e-mail (0=Low, 1=Normal, 2=High)
				.Importance = 1 
							
				'Send the e-mail
				.Send	
			End With
			
			'Release the object (this has to be done with each email for CDONTS)
			Set objCDOMail = Nothing
					
		
		'JMail component
		Case "Jmail"
	
			With objJMail
				'Out going SMTP mail server address
				.ServerAddress = strMailServer
				
				'Clear the Recipient List
				.ClearRecipients()
			
				'Who the e-mail is from
				.Sender = strEmailfrom_address
				.SenderName = strEmailfrom_name
						
				'Who the e-mail is sent to
				.AddRecipient strEmailAddress
										
				'The subject of the e-mail
				.Subject = strSubject
				
				'Set the e-mail body format (BodyHTML=HTML Body=Text)
				If strMailFormat = "HTML" Then
					.ContentType = "text/html"
					.HTMLBody = strEmailBody & strAppendToEmail
				Else
					.Body = strEmailBody & strAppendToEmail
				End If
							
				'Importance of the e-mail
				.Priority = 3 
							
				'Send the e-mail
				If NOT strMailServer = "" Then .Execute	
				
				'Clear the Recipient List
				.ClearRecipients()
			End With
			
		'JMail 4+ component
		Case "Jmail4"
	
			With objJMail
				
				'Send SMTP Server authentication data
    				If NOT strMailServerUser = "" Then .MailServerUserName = strMailServerUser
    				If NOT strMailServerPass = "" Then .MailServerPassword = strMailServerPass
    				
    				'Clear the Recipient List
				.Recipients.Clear
				.ClearRecipients
    				
				'Who the e-mail is from
				.From = strEmailfrom_address
				.FromName = strEmailfrom_name
						
				'Who the e-mail is sent to
				.AddRecipient strEmailAddress, strToName
										
				'The subject of the e-mail
				.Subject = strSubject
				
				'Set the e-mail body format (BodyHTML=HTML Body=Text)
				If strMailFormat = "HTML" Then
					.ContentType = "text/html"
					.HTMLBody = strEmailBody & strAppendToEmail
				Else
					.Body = strEmailBody & strAppendToEmail
				End If
							
				'Importance of the e-mail
				.Priority = 3 
							
				'Send the e-mail
				If NOT strMailServer = "" Then .Send(strMailServer)
				
				'Clear the Recipient List
				.Recipients.Clear
				.ClearRecipients
			End With
	
	
		'AspEmail component
		Case "AspEmail"
	
			With objAspEmail
				'Out going SMTP mail server address
				.Host = strMailServer
				
				'SMTP server username and password
				.Username = strMailServerUser
				.Password = strMailServerPass
					
				'Who the e-mail is from
				.From = strEmailfrom_address
				.FromName = strEmailfrom_name
					
				'Who the e-mail is sent to
				.AddAddress strEmailAddress, strToName
													
				'The subject of the e-mail
				.Subject = strSubject
				
				'Set the e-mail body format (BodyHTML=HTML Body=Text)
				If strMailFormat = "HTML" Then
					.IsHTML = True
				End If
				
				'The main body of the e-mail
				.Body = strEmailBody & strAppendToEmail
				
				'Set the queuing agent to queue messages to the SMTP server
				.Queue = True
										
				'Send the e-mail
				If NOT strMailServer = "" Then .Send
				
				'Reset the object
				.ResetAll	
			End With		
						

		'AspMail component
		Case "AspMail"

		   	With objAspMail
			   	'Out going SMTP mail server address
			   	.RemoteHost = strMailServer
			    
			   	'Who the e-mail is from
			   	.FromAddress = strEmailfrom_address
			   	.FromName = strEmailfrom_name
			    
			   	'Who the e-mail is sent to
			   	.AddRecipient strToName, strEmailAddress
			            
			   	'The subject of the e-mail
			   	.Subject = strSubject
			   
			   	'Set the e-mail body format (BodyHTML=HTML Body=Text)
			   	If strMailFormat = "HTML" Then
			    		.ContentType = "text/HTML"
			   	End If
			   
			   	'The main body of the e-mail
			   	.BodyText = strEmailBody & strAppendToEmail
			         
			   	'Send the e-mail
			   	If NOT strMailServer = "" Then .SendMail 
			   	
			   	'Clear the Recipient List
			   	.ClearRecipients
			   	
			   	'Clear the email body text
			   	.ClearBodyText
			End With
	End Select	
End Function

'Function create the remove appended part of the email
Private Function mailBody(ByVal strMailFormat)

	Dim strAppendToEmail

	'If the e-mail is in HTML format then change the format of the e-mail
	If strMailFormat = "HTML" Then

		'Write a remove from mailing list message to add to the end of the e-mail in HTML Format
		strAppendToEmail = "<br/><br/><hr/>"
		strAppendToEmail = strAppendToEmail & "VoiceMail powered by <a href='http://www.conaito.com' target='_blank'>conaito Technologies</a> &middot; www.conaito.com"
			
  	'Else the email is text based
  	Else		
		'Write a remove from mailing list message to add to the end of the e-mail in Plain Text Format
		strAppendToEmail = vbCrLf & vbCrLf & "_____________________________________________________________" & _
		vbCrLf & vbCrLf & "Voice Mail powered by conaito Technologies - www.conaito.com"
		
	End If
	
	'Return function
	mailBody = strAppendToEmail
	
End Function


'Sending mail
If Request.QueryString("Action") = "send" Then

Dim strToEmail, strFromEmail, strSubject, strEmailBody, strVoiceFile, strUserName, strLink

strToEmail = Request.Form("to")
'strFromEmail = Request.Form("from")
strSubject = Request.Form("subject")
strEmailBody = Request.Form("text")
strVoiceFile = Request.Form("filename")
strUserName = ""

	'Create email object
	Call createMailObject(strMailComponent)

	'Initliase email body
	If strMailFormat = "HTML" Then
		'Replace code with the user details
		strLink = "<a href='" & strDownload_path & strVoiceFile & ".mp3" & "'>" & strTextLinkVoice & "</a>"
		strEmailBody = Replace(strEmailBody, "{link}", strLink, 1, -1, 1)
	Else
		'Replace code with the user details
		strEmailBody = Replace(strEmailBody, "{link}", strDownload_path & strVoiceFile & ".mp3", 1, -1, 1)
	End If
	
	'Write a remove from mailing list message to add to the end of the e-mail in HTML Format
	strEmailBody = strEmailBody & mailBody(strMailFormat)
	
	'Send the email
	Call SendMail(strUserName, strToEmail, strMailComponent, strMailFormat)
	
	'Drop email component
	Call dropMailObject(strMailComponent)

End If	
%>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>conaito VoiceMail SDK Demo</title>
<link href="style/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
<table width="100%" border="0">
  <tr>
    <td width="20" class="TextHeader">&nbsp;</td>
    <td class="TextHeader"><br />
    Voice message was sent succesfully!<br /></td>
  </tr>
  <tr>
    <td class="TextHeader">&nbsp;</td>
    <td class="TextMenuSmall"><a href="sender.asp"><br />
      Send a new Voicemail</a> <br />
    <br /></td>
  </tr>
</table>
</body>
</html>